Developers
V1PlatformOnboardingIdArchive

Archive the current revision; existing sessions keep their pinned questions

POST
/v1/platform/onboarding/{id}/archive
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/platform/onboarding/497f6eca-6276-4993-bfeb-53cbbbba6f08/archive" \  -H "Content-Type: application/json" \  -d '{    "expectedVersion": 1  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "status": "draft",  "version": 1,  "definition": {    "name": "string",    "slides": [      {        "id": "string",        "title": {          "en-MY": "string",          "ms-MY": "string",          "zh-Hans-MY": "string"        },        "body": {          "en-MY": "string",          "ms-MY": "string",          "zh-Hans-MY": "string"        },        "image": {          "url": "http://example.com",          "alt": {            "en-MY": "string",            "ms-MY": "string",            "zh-Hans-MY": "string"          }        }      }    ],    "questions": [      {        "id": "string",        "prompt": {          "en-MY": "string",          "ms-MY": "string",          "zh-Hans-MY": "string"        },        "kind": "single",        "options": [          {            "id": "string",            "label": {              "en-MY": "string",              "ms-MY": "string",              "zh-Hans-MY": "string"            }          },          {            "id": "string",            "label": {              "en-MY": "string",              "ms-MY": "string",              "zh-Hans-MY": "string"            }          }        ],        "maxSelections": 1      }    ]  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "publishedAt": "2019-08-24T14:15:22Z"}